import { memdb } from '../src'
import cluster from 'cluster'

if (cluster.isMaster) {
	for (let i = 0; i < 1; i++) {
		cluster.fork()
	}
	setInterval(() => {
		memdb('users', 'id').getAll().then(res => console.log(res))
	}, 1000)
}

else {
	const sleep = () => new Promise(resolve => setTimeout(resolve, 2000));
	const db = memdb('users', 'id');
	(async () => {
		await db.save([{ id: 1, name: '小明1' }])
		await sleep()
		await db.save([{ id: 2, name: '小明2' }])
		await sleep()
		await db.save([{ id: 3, name: '小明3' }])
		await sleep()
		await db.replace([{ id: 4, name: '小明4' }])
	})()
}